INPUT_RESET_DEVICE(9)

NAME
input_reset_device - reset/restore the state of input device

SYNOPSIS

void input_reset_device(struct input_dev * dev);

ARGUMENTS

dev
    input device whose state needs to be reset

DESCRIPTION

This function tries to reset the state of an opened input device and bring internal state and state if the hardware in sync with each other. We mark all keys as released, restore LED state, repeat rate, etc.

COPYRIGHT